Package org.opensaml.saml.common.xml

# Enum Class SAMLSchemaBuilder.SAML1Version

java.lang.Object
java.lang.Enum<SAMLSchemaBuilder.SAML1Version>
org.opensaml.saml.common.xml.SAMLSchemaBuilder.SAML1Version

All Implemented Interfaces:
  `Serializable`, `Comparable<SAMLSchemaBuilder.SAML1Version>`, `Constable`

Enclosing class:
  SAMLSchemaBuilder

public static enum SAMLSchemaBuilder.SAML1Version extends Enum<SAMLSchemaBuilder.SAML1Version>
Identifies which SAML 1.x version is in use.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SAML_10`
SAML 1.0.
`SAML_11`
SAML 1.1.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAML1Version()`

## Method Summary

Modifier and Type
Method
Description
`static SAMLSchemaBuilder.SAML1Version`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SAMLSchemaBuilder.SAML1Version[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAML_10

public static final SAMLSchemaBuilder.SAML1Version SAML_10
SAML 1.0.

### SAML_11

public static final SAMLSchemaBuilder.SAML1Version SAML_11
SAML 1.1.

## Constructor Details

### SAML1Version

private SAML1Version()

## Method Details

### values

public static SAMLSchemaBuilder.SAML1Version[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SAMLSchemaBuilder.SAML1Version valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null